# Uses of Interface
org.apache.lucene.codecs.uniformsplit.BlockEncoder

Packages that use BlockEncoder
Package
Description
org.apache.lucene.codecs.uniformsplit
Pluggable term index / block terms dictionary implementations.
org.apache.lucene.codecs.uniformsplit.sharedterms
Pluggable term index / block terms dictionary implementations.

- ## Uses of BlockEncoder in org.apache.lucene.codecs.uniformsplit

  Fields in org.apache.lucene.codecs.uniformsplit declared as BlockEncoder
  Modifier and Type
  Field
  Description
  `protected final BlockEncoder`
  BlockWriter.`blockEncoder`
  `protected final BlockEncoder`
  UniformSplitPostingsFormat.`blockEncoder`
  `protected final BlockEncoder`
  UniformSplitTermsWriter.`blockEncoder`
  Methods in org.apache.lucene.codecs.uniformsplit with parameters of type BlockEncoder
  Modifier and Type
  Method
  Description
  `protected FieldsConsumer`
  UniformSplitPostingsFormat.`createUniformSplitTermsWriter(PostingsWriterBase postingsWriter, SegmentWriteState state, int targetNumBlockLines, int deltaNumLines, BlockEncoder blockEncoder)`
  `void`
  FSTDictionary.`write(DataOutput output, BlockEncoder blockEncoder)`
  `void`
  IndexDictionary.`write(DataOutput output, BlockEncoder blockEncoder)`
  Writes this dictionary to the provided output.
  Constructors in org.apache.lucene.codecs.uniformsplit with parameters of type BlockEncoder
  Modifier
  Constructor
  Description
  `protected`
  `BlockWriter(IndexOutput blockOutput, int targetNumBlockLines, int deltaNumLines, BlockEncoder blockEncoder)`
  ``
  `UniformSplitPostingsFormat(int targetNumBlockLines, int deltaNumLines, BlockEncoder blockEncoder, BlockDecoder blockDecoder, boolean dictionaryOnHeap)`
  `protected`
  `UniformSplitPostingsFormat(String name, int targetNumBlockLines, int deltaNumLines, BlockEncoder blockEncoder, BlockDecoder blockDecoder, boolean dictionaryOnHeap)`
  ``
  `UniformSplitTermsWriter(PostingsWriterBase postingsWriter, SegmentWriteState state, int targetNumBlockLines, int deltaNumLines, BlockEncoder blockEncoder)`
  `protected`
  `UniformSplitTermsWriter(PostingsWriterBase postingsWriter, SegmentWriteState state, int targetNumBlockLines, int deltaNumLines, BlockEncoder blockEncoder, FieldMetadata.Serializer fieldMetadataWriter, String codecName, int versionCurrent, String termsBlocksExtension, String dictionaryExtension)`
  ``
  `UniformSplitTermsWriter(PostingsWriterBase postingsWriter, SegmentWriteState state, BlockEncoder blockEncoder)`

- ## Uses of BlockEncoder in org.apache.lucene.codecs.uniformsplit.sharedterms

  Methods in org.apache.lucene.codecs.uniformsplit.sharedterms with parameters of type BlockEncoder
  Modifier and Type
  Method
  Description
  `protected FieldsConsumer`
  STUniformSplitPostingsFormat.`createUniformSplitTermsWriter(PostingsWriterBase postingsWriter, SegmentWriteState state, int targetNumBlockLines, int deltaNumLines, BlockEncoder blockEncoder)`
  Constructors in org.apache.lucene.codecs.uniformsplit.sharedterms with parameters of type BlockEncoder
  Modifier
  Constructor
  Description
  ``
  `STBlockWriter(IndexOutput blockOutput, int targetNumBlockLines, int deltaNumLines, BlockEncoder blockEncoder)`
  ``
  `STUniformSplitPostingsFormat(int targetNumBlockLines, int deltaNumLines, BlockEncoder blockEncoder, BlockDecoder blockDecoder, boolean dictionaryOnHeap)`
  `protected`
  `STUniformSplitPostingsFormat(String name, int targetNumBlockLines, int deltaNumLines, BlockEncoder blockEncoder, BlockDecoder blockDecoder, boolean dictionaryOnHeap)`
  ``
  `STUniformSplitTermsWriter(PostingsWriterBase postingsWriter, SegmentWriteState state, int targetNumBlockLines, int deltaNumLines, BlockEncoder blockEncoder)`
  `protected`
  `STUniformSplitTermsWriter(PostingsWriterBase postingsWriter, SegmentWriteState state, int targetNumBlockLines, int deltaNumLines, BlockEncoder blockEncoder, FieldMetadata.Serializer fieldMetadataWriter, String codecName, int versionCurrent, String termsBlocksExtension, String dictionaryExtension)`
  ``
  `STUniformSplitTermsWriter(PostingsWriterBase postingsWriter, SegmentWriteState state, BlockEncoder blockEncoder)`